#{extends 'borderNG.html' /}

<div class="breadcrumb">&{'agency.daftarpaket'}</div>
<div class="content">
<div class="float-right">
#{alert /}
#{form @admin.AgencyCtr.paket() }
	<div class="form-group row">
    	<label class="col-lg-6 col-form-label">Tahun Anggaran</label>
    	<div class="col-lg-6">
          #{selectTahun 'tahun', value:tahun, autoSubmit:true /}
    	</div>
   </div>
#{/form}
</div>
<div class="clearfix"></div>
        <table id="tblPaket" class="table table-sm">
            <thead>
            <tr>
                <th >&{'agency.nama'}</th>
                <th width="20%">&{'agency.status'}</th>
                <th width="20%">&{'agency.pagu'}</th>
                <th width="30%">&{'agency.satuankerja'}</th>
            </tr>
            </thead>
        </table>
</div>

#{set 'css_custom' } 
<link href="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.20/css/dataTables.bootstrap4.min.css" rel="stylesheet" type="text/css">
#{/set}

#{set 'custom_script'}
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.20/js/jquery.dataTables.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.20/js/dataTables.bootstrap4.min.js"></script>
<script type="text/javascript" src="#{assets '/js/datatables.config.js'/}"></script>
<script type="text/javascript"> 
var table = $("#tblPaket").DataTable({
	order: [[ 0, "desc"]],
    ajax: "@{DataTableCtr.paketAgency(tahun)}"
});
$('#tblPaket_filter input').unbind();
    $('#tblPaket_filter input').bind('keyup', function(e) {
        if(e.keyCode == 13) {
          table.search(this.value).draw();
    }
});
</script>
#{/set}

